const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const expense_items = sequelize.define(
    'expense_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

expense_datetime: {
        type: DataTypes.DATE,

      },

description: {
        type: DataTypes.TEXT,

      },

expense_amount: {
        type: DataTypes.DECIMAL,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  expense_items.associate = (db) => {

    db.expense_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.expense_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return expense_items;
};

